Description: Do not set charset in flask responce
Author: Thomas Goirand <zigo@debian.org>
Forwarded: no
Last-Update: 2024-01-22

--- keystone-24.0.0.orig/keystone/api/auth.py
+++ keystone-24.0.0/keystone/api/auth.py
@@ -108,7 +108,6 @@ class _AuthFederationWebSSOBase(ks_flask
         subs = {'host': host, 'token': token_id}
         body = src.substitute(subs)
         resp = flask.make_response(body, http.client.OK)
-        resp.charset = 'utf-8'
         resp.headers['Content-Type'] = 'text/html'
         return resp
 
